# Energy evaluation
[RNA Secondary Structure Folding]

This module contains all functions and variables related to energy evaluation of sequence/structure pairs. More...

Collaboration diagram for Energy evaluation:

## Functions
float | energy_of_structure (const char *string, const char *structure, int verbosity_level)
| Calculate the free energy of an already folded RNA using global model detail settings.
float | energy_of_struct_par (const char *string, const char *structure, paramT *parameters, int verbosity_level)
| Calculate the free energy of an already folded RNA.
float | energy_of_circ_structure (const char *string, const char *structure, int verbosity_level)
| Calculate the free energy of an already folded circular RNA.
float | energy_of_circ_struct_par (const char *string, const char *structure, paramT *parameters, int verbosity_level)
| Calculate the free energy of an already folded circular RNA.
int | energy_of_structure_pt (const char *string, short *ptable, short *s, short *s1, int verbosity_level)
| Calculate the free energy of an already folded RNA.
int | energy_of_struct_pt_par (const char *string, short *ptable, short *s, short *s1, paramT *parameters, int verbosity_level)
| Calculate the free energy of an already folded RNA.
## Variables
int | eos_debug
| verbose info from energy_of_struct

## Detailed Description

This module contains all functions and variables related to energy evaluation of sequence/structure pairs.

## Function Documentation

float energy_of_structure | ( | const char * | string,
|  | const char * | structure,
|  | int | verbosity_level |
| ) |  |  |

Calculate the free energy of an already folded RNA using global model detail settings.

If verbosity level is set to a value >0, energies of structure elements are printed to stdout

Note:
  OpenMP: This function relies on several global model settings variables and thus is not to be considered threadsafe. See energy_of_struct_par() for a completely threadsafe implementation.

See also:
  energy_of_struct_par(), energy_of_circ_structure()

Parameters:

  | string | RNA sequence
  | structure | secondary structure in dot-bracket notation
  | verbosity_level | a flag to turn verbose output on/off

Returns:
  the free energy of the input structure given the input sequence in kcal/mol

float energy_of_struct_par | ( | const char * | string,
|  | const char * | structure,
|  | paramT * | parameters,
|  | int | verbosity_level |
| ) |  |  |

Calculate the free energy of an already folded RNA.

If verbosity level is set to a value >0, energies of structure elements are printed to stdout

See also:
  energy_of_circ_structure(), energy_of_structure_pt(), get_scaled_parameters()

Parameters:

  | string | RNA sequence in uppercase letters
  | structure | Secondary structure in dot-bracket notation
  | parameters | A data structure containing the prescaled energy contributions and the model details.
  | verbosity_level | A flag to turn verbose output on/off

Returns:
  The free energy of the input structure given the input sequence in kcal/mol

float energy_of_circ_structure | ( | const char * | string,
|  | const char * | structure,
|  | int | verbosity_level |
| ) |  |  |

Calculate the free energy of an already folded circular RNA.

Note:
  OpenMP: This function relies on several global model settings variables and thus is not to be considered threadsafe. See energy_of_circ_struct_par() for a completely threadsafe implementation.

If verbosity level is set to a value >0, energies of structure elements are printed to stdout

See also:
  energy_of_circ_struct_par(), energy_of_struct_par()

Parameters:

  | string | RNA sequence
  | structure | Secondary structure in dot-bracket notation
  | verbosity_level | A flag to turn verbose output on/off

Returns:
  The free energy of the input structure given the input sequence in kcal/mol

float energy_of_circ_struct_par | ( | const char * | string,
|  | const char * | structure,
|  | paramT * | parameters,
|  | int | verbosity_level |
| ) |  |  |

Calculate the free energy of an already folded circular RNA.

If verbosity level is set to a value >0, energies of structure elements are printed to stdout

See also:
  energy_of_struct_par(), get_scaled_parameters()

Parameters:

  | string | RNA sequence
  | structure | Secondary structure in dot-bracket notation
  | parameters | A data structure containing the prescaled energy contributions and the model details.
  | verbosity_level | A flag to turn verbose output on/off

Returns:
  The free energy of the input structure given the input sequence in kcal/mol

int energy_of_structure_pt | ( | const char * | string,
|  | short * | ptable,
|  | short * | s,
|  | short * | s1,
|  | int | verbosity_level |
| ) |  |  |

Calculate the free energy of an already folded RNA.

If verbosity level is set to a value >0, energies of structure elements are printed to stdout

Note:
  OpenMP: This function relies on several global model settings variables and thus is not to be considered threadsafe. See energy_of_struct_pt_par() for a completely threadsafe implementation.

See also:
  make_pair_table(), energy_of_struct_pt_par()

Parameters:

  | string | RNA sequence
  | ptable | the pair table of the secondary structure
  | s | encoded RNA sequence
  | s1 | encoded RNA sequence
  | verbosity_level | a flag to turn verbose output on/off

Returns:
  the free energy of the input structure given the input sequence in 10kcal/mol

int energy_of_struct_pt_par | ( | const char * | string,
|  | short * | ptable,
|  | short * | s,
|  | short * | s1,
|  | paramT * | parameters,
|  | int | verbosity_level |
| ) |  |  |

Calculate the free energy of an already folded RNA.

If verbosity level is set to a value >0, energies of structure elements are printed to stdout

See also:
  make_pair_table(), energy_of_struct_par(), get_scaled_parameters()

Parameters:

  | string | RNA sequence in uppercase letters
  | ptable | The pair table of the secondary structure
  | s | Encoded RNA sequence
  | s1 | Encoded RNA sequence
  | parameters | A data structure containing the prescaled energy contributions and the model details.
  | verbosity_level | A flag to turn verbose output on/off

Returns:
  The free energy of the input structure given the input sequence in 10kcal/mol